UpdateNetworkMigrationMapperSegment - ApplicationMigrationService

UpdateNetworkMigrationMapperSegment

Updates a mapper segment's configuration, such as changing its scope tags.

Request Syntax

POST /network-migration/UpdateNetworkMigrationMapperSegment HTTP/1.1 Content-type: application/json { "networkMigrationDefinitionID": "string", "networkMigrationExecutionID": "string", "scopeTags": { "string" : "string" }, "segmentID": "string" }

URI Request Parameters

The request does not use any URI parameters.

Request Body

The request accepts the following data in JSON format.

networkMigrationDefinitionID

The unique identifier of the network migration definition.

Type: String

Length Constraints: Fixed length of 21.

Pattern: nmd-[0-9a-zA-Z]{17}

Required: Yes

networkMigrationExecutionID

The unique identifier of the network migration execution.

Type: String

Length Constraints: Fixed length of 36.

Pattern: [0-9a-f]{8}-[0-9a-f]{4}-[0-9a-f]{4}-[0-9a-f]{4}-[0-9a-f]{12}

Required: Yes

scopeTags

The updated scope tags for the segment.

Type: String to string map

Map Entries: Minimum number of 0 items. Maximum number of 40 items.

Key Length Constraints: Minimum length of 1. Maximum length of 128.

Key Pattern: (?!aws:)[a-zA-Z0-9\s+\-=._:/@]*

Value Length Constraints: Minimum length of 0. Maximum length of 256.

Value Pattern: [a-zA-Z0-9\s+\-=._:/@]*

Required: No

segmentID

The unique identifier of the segment to update.

Type: String

Length Constraints: Fixed length of 36.

Pattern: [0-9a-f]{8}-[0-9a-f]{4}-[0-9a-f]{4}-[0-9a-f]{4}-[0-9a-f]{12}

Required: Yes

Response Syntax

HTTP/1.1 200 Content-type: application/json { "checksum": { "encryptionAlgorithm": "string", "hash": "string" }, "createdAt": number, "description": "string", "jobID": "string", "logicalID": "string", "name": "string", "networkMigrationDefinitionID": "string", "networkMigrationExecutionID": "string", "outputS3Configuration": { "s3Bucket": "string", "s3BucketOwner": "string", "s3Key": "string" }, "referencedSegments": [ "string" ], "scopeTags": { "string" : "string" }, "segmentID": "string", "segmentType": "string", "targetAccount": "string", "updatedAt": number }

Response Elements

If the action is successful, the service sends back an HTTP 200 response.

The following data is returned in JSON format by the service.

checksum

The checksum of the segment data for integrity verification.

Type: Checksum object

createdAt

The timestamp when the segment was created.

Type: Timestamp

description

A description of the segment.

Type: String

Length Constraints: Minimum length of 0. Maximum length of 600.

Pattern: [^\x00]*

jobID

The unique identifier of the job that created this segment.

Type: String

Length Constraints: Fixed length of 36.

Pattern: [0-9a-f]{8}-[0-9a-f]{4}-[0-9a-f]{4}-[0-9a-f]{4}-[0-9a-f]{12}

logicalID

The logical identifier for the segment in the infrastructure code.

Type: String

Length Constraints: Minimum length of 1. Maximum length of 255.

Pattern: [a-zA-Z][a-zA-Z0-9-]*

name

The name of the segment.

Type: String

Length Constraints: Minimum length of 1. Maximum length of 256.

Pattern: [^\s\x00]( *[^\s\x00])*

networkMigrationDefinitionID

The unique identifier of the network migration definition.

Type: String

Length Constraints: Fixed length of 21.

Pattern: nmd-[0-9a-zA-Z]{17}

networkMigrationExecutionID

The unique identifier of the network migration execution.

Type: String

Length Constraints: Fixed length of 36.

Pattern: [0-9a-f]{8}-[0-9a-f]{4}-[0-9a-f]{4}-[0-9a-f]{4}-[0-9a-f]{12}

outputS3Configuration

The S3 location where segment artifacts are stored.

Type: S3Configuration object

referencedSegments

A list of other segments that this segment depends on or references.

Type: Array of strings

Length Constraints: Fixed length of 36.

Pattern: [0-9a-f]{8}-[0-9a-f]{4}-[0-9a-f]{4}-[0-9a-f]{4}-[0-9a-f]{12}

scopeTags

Scope tags for the segment.

Type: String to string map

Map Entries: Minimum number of 0 items. Maximum number of 40 items.

Key Length Constraints: Minimum length of 1. Maximum length of 128.

Key Pattern: (?!aws:)[a-zA-Z0-9\s+\-=._:/@]*

Value Length Constraints: Minimum length of 0. Maximum length of 256.

Value Pattern: [a-zA-Z0-9\s+\-=._:/@]*

segmentID

The unique identifier of the segment.

Type: String

Length Constraints: Fixed length of 36.

Pattern: [0-9a-f]{8}-[0-9a-f]{4}-[0-9a-f]{4}-[0-9a-f]{4}-[0-9a-f]{12}

segmentType

The type of the segment, such as VPC, subnet, or security group.

Type: String

Valid Values: WORKLOAD | APPLIANCE

targetAccount

The target AWS account where this segment will be deployed.

Type: String

Length Constraints: Fixed length of 12.

Pattern: .*[0-9]{12,}.*

updatedAt

The timestamp when the segment was last updated.

Type: Timestamp

Errors

For information about the errors that are common to all actions, see Common Errors.

AccessDeniedException

Operating denied due to a file permission or access check error.

HTTP Status Code: 403

ResourceNotFoundException

Resource not found exception.

resourceId

Resource ID not found error.

resourceType

Resource type not found error.

HTTP Status Code: 404

ValidationException

Validate exception.

fieldList

Validate exception field list.

reason

Validate exception reason.

HTTP Status Code: 400

See Also

For more information about using this API in one of the language-specific AWS SDKs, see the following: